%define majorminor  0.10

%define gst_minver    0.10.16
%define gstpb_minver  0.10.16

%define gittag        be0924b

%{!?gstreamer:  %define         gstreamer       gstreamer}

Name:           %{gstreamer}-chromaprint
Version:        0.1
Release:        0.git.%{gittag}.1.tao
Summary:        GStreamer streaming media framework chromaprint plug-in

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/
#               https://github.com/lalinsky/gst-chromaprint/tarball/master
Source:         lalinsky-gst-chromaprint-v%{version}-0-g%{gittag}.tar.gz
Patch0:         gst-chromaprint.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       %{gstreamer} >= %{gst_minver}

BuildRequires:  %{gstreamer}-devel >= %{gst_minver}
BuildRequires:  %{gstreamer}-plugins-base-devel >= %{gstpb_minver}
BuildRequires:  libchromaprint-devel

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains a plug-in using the chromaprint library to fingerprint
audio.

%prep
%setup -q -n lalinsky-gst-chromaprint-%{gittag}
%patch0 -p1

%build
./autogen.sh
%configure \
  --with-package-name='gst-chromaprint FC rpm' \
  --with-package-origin='http://gstreamer.freedesktop.org/download/fedora.html' \
  --enable-debug \
  --enable-gtk-doc

make %{?_smp_mflags}
                                                                                
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%doc examples/gst-acoustid-query.py

%{_libdir}/gstreamer-%{majorminor}/libgstchromaprint.so

%changelog
* Tue Aug 09 2011 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1-0.git.gbe0924b.1.tao
- Initial package
- Include a patch for sample application
